Perspectiveset admin API Resource

WS for getting perspectives related data for active configuration.

GET /admin/perspectiveset/members/json/{perspectiveId}

Get members of specified perspective in active system configuration.

Try it out!

Request Parameters
name type description default constraints
perspectiveId path The unique identifier of perspective   long
Response Body
media type data type description
application/json array of HdcPerspectiveRelativeTO (JSON) JSON Response with description of perspective

Example of response:

{"list":[{"classId":"10","classLabel":"Faciliteter"},{"classId":"11","classLabel":"Fastighet"},{"classId":"13","classLabel":"Plan"},{"classId":"12","classLabel":"Hus"}]}

GET /admin/perspectiveset/perspectives/json/{perspectiveSetId}

Get perspectives for specified perspective set.

Try it out!

Request Parameters
name type description default constraints
perspectiveSetId path The unique identifier of perspective   long
Response Body
media type data type description
application/json array of HdcPerspectiveTO (JSON) JSON Response with description of perspective

Example of response:

{"list":[{"classId":"10","classLabel":"Faciliteter"},{"classId":"11","classLabel":"Fastighet"},{"classId":"13","classLabel":"Plan"},{"classId":"12","classLabel":"Hus"}]}